<!DOCTYPE html>
<html>
<head>
  <title>Artillery report</title>
  <script src='https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.0/d3.min.js' charset='utf-8'></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.css" />
  <script src="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.js"></script>

  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,700' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=PT+Serif:400,700,400italic' rel='stylesheet' type='text/css'>
  <link href='https://netdna.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.css' rel='stylesheet' type='text/css'>
  <link href='https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css' rel='stylesheet' type='text/css'>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.6/moment.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/3.10.1/lodash.min.js"></script>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.2.0/ace.js" charset="utf-8"></script>

  <style>
  body, p, li {
    font-family: sans-serif;
    font-size: 10pt;
  }

  h1 {
    font-size: 18pt;
    font-weight: bold;
  }

  #errorsContainer > p {
    color: #009900;
  }

  #footer {
    padding: 1em;
    font-size: 0.8em;
    color: #999;
    text-align: center;
    margin-top: 1em;
    background-color: #eee;
  }
  #editor {
    font-size: 8pt;
    height: 20em;
  }
  </style>

  <script>
  window.Report = {
  "aggregate": {
    "timestamp": "2021-02-21T17:37:32.835Z",
    "scenariosCreated": 18594,
    "scenariosCompleted": 14557,
    "requestsCompleted": 15408,
    "latency": {
      "min": 124.6,
      "max": 45625.9,
      "median": 503.8,
      "p95": 1602.1,
      "p99": 4055.7
    },
    "rps": {
      "count": 19445,
      "mean": 40.18
    },
    "scenarioDuration": {
      "min": 2285.7,
      "max": 50449.6,
      "median": 2575.6,
      "p95": 3652.3,
      "p99": 7201.9
    },
    "scenarioCounts": {
      "Fuzz getSpec": 6144,
      "Fuzz calculatePrice minute": 6200,
      "Fuzz calculatePrice fixed": 6250
    },
    "errors": {
      "EADDRNOTAVAIL": 4037
    },
    "codes": {
      "200": 14556,
      "302": 851,
      "500": 1
    },
    "matches": 0,
    "customStats": {},
    "counters": {},
    "scenariosAvoided": 0,
    "phases": [
      {
        "duration": 60,
        "name": "Warm up",
        "arrivalRate": 5
      },
      {
        "duration": 120,
        "name": "Ramp up load",
        "arrivalRate": 5,
        "rampTo": 50
      },
      {
        "duration": 300,
        "name": "Sustained load",
        "arrivalRate": 50
      }
    ]
  },
  "intermediate": [
    {
      "timestamp": "2021-02-21T17:29:38.720Z",
      "scenariosCreated": 49,
      "scenariosCompleted": 34,
      "requestsCompleted": 89,
      "latency": {
        "min": 138.8,
        "max": 1072.9,
        "median": 716.2,
        "p95": 882,
        "p99": 1051.5
      },
      "rps": {
        "count": 94,
        "mean": 9.63
      },
      "scenarioDuration": {
        "min": 2940,
        "max": 3272.9,
        "median": 3001.1,
        "p95": 3214.9,
        "p99": 3272.9
      },
      "scenarioCounts": {
        "Fuzz getSpec": 16,
        "Fuzz calculatePrice minute": 19,
        "Fuzz calculatePrice fixed": 14
      },
      "errors": {},
      "codes": {
        "200": 44,
        "302": 45
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 15,
      "pendingRequests": 5,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:29:48.717Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 48,
      "requestsCompleted": 97,
      "latency": {
        "min": 138.3,
        "max": 1118.6,
        "median": 188.4,
        "p95": 899.8,
        "p99": 1055.4
      },
      "rps": {
        "count": 98,
        "mean": 9.81
      },
      "scenarioDuration": {
        "min": 2950.7,
        "max": 3150.2,
        "median": 3014.7,
        "p95": 3141.1,
        "p99": 3150.2
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 20,
        "Fuzz getSpec": 19,
        "Fuzz calculatePrice fixed": 11
      },
      "errors": {},
      "codes": {
        "200": 49,
        "302": 48
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 17,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:29:58.718Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 51,
      "requestsCompleted": 103,
      "latency": {
        "min": 138.6,
        "max": 14958.4,
        "median": 728.1,
        "p95": 1027.8,
        "p99": 12896.1
      },
      "rps": {
        "count": 102,
        "mean": 10.2
      },
      "scenarioDuration": {
        "min": 2951,
        "max": 17193.7,
        "median": 3032.3,
        "p95": 3375.6,
        "p99": 17154.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 13,
        "Fuzz getSpec": 18,
        "Fuzz calculatePrice fixed": 19
      },
      "errors": {},
      "codes": {
        "200": 51,
        "302": 52
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 16,
      "pendingRequests": 5,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:30:08.717Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 50,
      "requestsCompleted": 94,
      "latency": {
        "min": 125.8,
        "max": 17068.1,
        "median": 339.1,
        "p95": 1079.8,
        "p99": 10325.4
      },
      "rps": {
        "count": 94,
        "mean": 9.4
      },
      "scenarioDuration": {
        "min": 2346.3,
        "max": 19296.7,
        "median": 2991.5,
        "p95": 3093.9,
        "p99": 19296.7
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 16,
        "Fuzz getSpec": 13,
        "Fuzz calculatePrice fixed": 21
      },
      "errors": {},
      "codes": {
        "200": 50,
        "302": 44
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 16,
      "pendingRequests": 5,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:30:18.718Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 51,
      "requestsCompleted": 100,
      "latency": {
        "min": 140.6,
        "max": 1405.7,
        "median": 488.2,
        "p95": 1004.5,
        "p99": 1265.3
      },
      "rps": {
        "count": 100,
        "mean": 10
      },
      "scenarioDuration": {
        "min": 2948.1,
        "max": 3714,
        "median": 3035.6,
        "p95": 3338.5,
        "p99": 3711.1
      },
      "scenarioCounts": {
        "Fuzz getSpec": 16,
        "Fuzz calculatePrice minute": 18,
        "Fuzz calculatePrice fixed": 16
      },
      "errors": {},
      "codes": {
        "200": 50,
        "302": 50
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 15,
      "pendingRequests": 5,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:30:28.717Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 51,
      "requestsCompleted": 102,
      "latency": {
        "min": 135.9,
        "max": 2378.4,
        "median": 522.7,
        "p95": 880,
        "p99": 1738
      },
      "rps": {
        "count": 101,
        "mean": 10.1
      },
      "scenarioDuration": {
        "min": 2957.8,
        "max": 4598.1,
        "median": 3036.6,
        "p95": 3363.4,
        "p99": 4588.5
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 15,
        "Fuzz calculatePrice minute": 18,
        "Fuzz getSpec": 17
      },
      "errors": {},
      "codes": {
        "200": 51,
        "302": 51
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 14,
      "pendingRequests": 4,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:30:38.719Z",
      "scenariosCreated": 72,
      "scenariosCompleted": 51,
      "requestsCompleted": 122,
      "latency": {
        "min": 124.6,
        "max": 1874.2,
        "median": 735.1,
        "p95": 1422.2,
        "p99": 1811.8
      },
      "rps": {
        "count": 134,
        "mean": 13.4
      },
      "scenarioDuration": {
        "min": 2942.4,
        "max": 3445.3,
        "median": 3019.6,
        "p95": 3135.6,
        "p99": 3443.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 28,
        "Fuzz calculatePrice minute": 19,
        "Fuzz getSpec": 25
      },
      "errors": {},
      "codes": {
        "200": 60,
        "302": 62
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 35,
      "pendingRequests": 16,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:30:48.722Z",
      "scenariosCreated": 107,
      "scenariosCompleted": 100,
      "requestsCompleted": 216,
      "latency": {
        "min": 130.1,
        "max": 4455.1,
        "median": 746.8,
        "p95": 1046.1,
        "p99": 1471
      },
      "rps": {
        "count": 215,
        "mean": 21.63
      },
      "scenarioDuration": {
        "min": 2972.1,
        "max": 6668.2,
        "median": 3124.4,
        "p95": 3829.4,
        "p99": 5411.8
      },
      "scenarioCounts": {
        "Fuzz getSpec": 40,
        "Fuzz calculatePrice fixed": 35,
        "Fuzz calculatePrice minute": 32
      },
      "errors": {},
      "codes": {
        "200": 108,
        "302": 108
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 42,
      "pendingRequests": 15,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:30:58.721Z",
      "scenariosCreated": 149,
      "scenariosCompleted": 135,
      "requestsCompleted": 275,
      "latency": {
        "min": 131,
        "max": 1621.7,
        "median": 731.4,
        "p95": 1169.1,
        "p99": 1349.7
      },
      "rps": {
        "count": 287,
        "mean": 28.73
      },
      "scenarioDuration": {
        "min": 2948.6,
        "max": 3872.3,
        "median": 3141.6,
        "p95": 3531.6,
        "p99": 3705.1
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 39,
        "Fuzz getSpec": 53,
        "Fuzz calculatePrice fixed": 57
      },
      "errors": {},
      "codes": {
        "200": 137,
        "302": 138
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 56,
      "pendingRequests": 27,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:31:08.721Z",
      "scenariosCreated": 171,
      "scenariosCompleted": 156,
      "requestsCompleted": 310,
      "latency": {
        "min": 129.1,
        "max": 5735.8,
        "median": 438.7,
        "p95": 1156.6,
        "p99": 2512.8
      },
      "rps": {
        "count": 323,
        "mean": 32.36
      },
      "scenarioDuration": {
        "min": 2973.8,
        "max": 5838.3,
        "median": 3139.1,
        "p95": 3414.7,
        "p99": 3855
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 57,
        "Fuzz calculatePrice minute": 54,
        "Fuzz getSpec": 60
      },
      "errors": {},
      "codes": {
        "200": 158,
        "302": 152
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 71,
      "pendingRequests": 40,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:31:18.720Z",
      "scenariosCreated": 199,
      "scenariosCompleted": 188,
      "requestsCompleted": 273,
      "latency": {
        "min": 136.9,
        "max": 33551,
        "median": 915.9,
        "p95": 1870,
        "p99": 23717.8
      },
      "rps": {
        "count": 255,
        "mean": 25.6
      },
      "scenarioDuration": {
        "min": 2475.9,
        "max": 38766.9,
        "median": 3309.3,
        "p95": 4184.7,
        "p99": 29926.9
      },
      "scenarioCounts": {
        "Fuzz getSpec": 69,
        "Fuzz calculatePrice fixed": 68,
        "Fuzz calculatePrice minute": 62
      },
      "errors": {},
      "codes": {
        "200": 217,
        "302": 56
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 82,
      "pendingRequests": 22,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:31:28.722Z",
      "scenariosCreated": 236,
      "scenariosCompleted": 240,
      "requestsCompleted": 245,
      "latency": {
        "min": 126.6,
        "max": 35253.7,
        "median": 818,
        "p95": 1821.4,
        "p99": 5561.1
      },
      "rps": {
        "count": 261,
        "mean": 26.36
      },
      "scenarioDuration": {
        "min": 2468.8,
        "max": 38945.6,
        "median": 2955.4,
        "p95": 3862.1,
        "p99": 26750
      },
      "scenarioCounts": {
        "Fuzz getSpec": 87,
        "Fuzz calculatePrice minute": 67,
        "Fuzz calculatePrice fixed": 82
      },
      "errors": {},
      "codes": {
        "200": 220,
        "302": 25
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 78,
      "pendingRequests": 38,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:31:38.721Z",
      "scenariosCreated": 298,
      "scenariosCompleted": 267,
      "requestsCompleted": 292,
      "latency": {
        "min": 147.9,
        "max": 22162.2,
        "median": 710.5,
        "p95": 1698.6,
        "p99": 12787.1
      },
      "rps": {
        "count": 302,
        "mean": 30.2
      },
      "scenarioDuration": {
        "min": 2328.9,
        "max": 26118.1,
        "median": 2799,
        "p95": 3818,
        "p99": 15320.4
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 84,
        "Fuzz calculatePrice minute": 110,
        "Fuzz getSpec": 104
      },
      "errors": {},
      "codes": {
        "200": 288,
        "302": 4
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 109,
      "pendingRequests": 48,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:31:48.724Z",
      "scenariosCreated": 324,
      "scenariosCompleted": 320,
      "requestsCompleted": 336,
      "latency": {
        "min": 315.2,
        "max": 17485.9,
        "median": 648.4,
        "p95": 1616.4,
        "p99": 2710.7
      },
      "rps": {
        "count": 324,
        "mean": 32.53
      },
      "scenarioDuration": {
        "min": 2334.6,
        "max": 6837.3,
        "median": 2623.2,
        "p95": 3589.7,
        "p99": 4579.3
      },
      "scenarioCounts": {
        "Fuzz getSpec": 105,
        "Fuzz calculatePrice minute": 112,
        "Fuzz calculatePrice fixed": 107
      },
      "errors": {},
      "codes": {
        "200": 336
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 113,
      "pendingRequests": 36,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:31:58.722Z",
      "scenariosCreated": 368,
      "scenariosCompleted": 360,
      "requestsCompleted": 369,
      "latency": {
        "min": 141.3,
        "max": 28099.6,
        "median": 559.6,
        "p95": 1478.6,
        "p99": 6194.9
      },
      "rps": {
        "count": 369,
        "mean": 36.94
      },
      "scenarioDuration": {
        "min": 2327.2,
        "max": 33802.1,
        "median": 2584.1,
        "p95": 3533.4,
        "p99": 17405
      },
      "scenarioCounts": {
        "Fuzz getSpec": 119,
        "Fuzz calculatePrice fixed": 121,
        "Fuzz calculatePrice minute": 128
      },
      "errors": {},
      "codes": {
        "200": 368,
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 121,
      "pendingRequests": 36,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:32:08.723Z",
      "scenariosCreated": 414,
      "scenariosCompleted": 395,
      "requestsCompleted": 414,
      "latency": {
        "min": 302,
        "max": 28302.7,
        "median": 521,
        "p95": 1464.2,
        "p99": 7246
      },
      "rps": {
        "count": 414,
        "mean": 41.4
      },
      "scenarioDuration": {
        "min": 2316.9,
        "max": 31533.5,
        "median": 2562.6,
        "p95": 3546.6,
        "p99": 14588.9
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 154,
        "Fuzz calculatePrice fixed": 127,
        "Fuzz getSpec": 133
      },
      "errors": {},
      "codes": {
        "200": 414
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 140,
      "pendingRequests": 36,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:32:18.723Z",
      "scenariosCreated": 442,
      "scenariosCompleted": 449,
      "requestsCompleted": 438,
      "latency": {
        "min": 146.1,
        "max": 33960.8,
        "median": 500.8,
        "p95": 1262.8,
        "p99": 17167.2
      },
      "rps": {
        "count": 445,
        "mean": 44.54
      },
      "scenarioDuration": {
        "min": 2312.2,
        "max": 38567.6,
        "median": 2518.6,
        "p95": 3334.8,
        "p99": 19078
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 152,
        "Fuzz getSpec": 131,
        "Fuzz calculatePrice fixed": 159
      },
      "errors": {},
      "codes": {
        "200": 435,
        "302": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 133,
      "pendingRequests": 43,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:32:28.723Z",
      "scenariosCreated": 489,
      "scenariosCompleted": 480,
      "requestsCompleted": 497,
      "latency": {
        "min": 301.8,
        "max": 45625.9,
        "median": 384.3,
        "p95": 1006,
        "p99": 23821.5
      },
      "rps": {
        "count": 489,
        "mean": 48.9
      },
      "scenarioDuration": {
        "min": 2316,
        "max": 50449.6,
        "median": 2613,
        "p95": 3016.4,
        "p99": 23891.1
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 165,
        "Fuzz calculatePrice minute": 166,
        "Fuzz getSpec": 158
      },
      "errors": {},
      "codes": {
        "200": 497
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 142,
      "pendingRequests": 35,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:32:38.722Z",
      "scenariosCreated": 499,
      "scenariosCompleted": 503,
      "requestsCompleted": 493,
      "latency": {
        "min": 296,
        "max": 41307.2,
        "median": 472,
        "p95": 963.2,
        "p99": 6104.1
      },
      "rps": {
        "count": 499,
        "mean": 49.95
      },
      "scenarioDuration": {
        "min": 2309.7,
        "max": 43633.8,
        "median": 2449.6,
        "p95": 3003.4,
        "p99": 14781.7
      },
      "scenarioCounts": {
        "Fuzz getSpec": 182,
        "Fuzz calculatePrice fixed": 162,
        "Fuzz calculatePrice minute": 155
      },
      "errors": {},
      "codes": {
        "200": 493
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 138,
      "pendingRequests": 41,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:32:48.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 503,
      "requestsCompleted": 508,
      "latency": {
        "min": 294.6,
        "max": 38080.3,
        "median": 361.3,
        "p95": 978.9,
        "p99": 6886.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2307.7,
        "max": 35756.7,
        "median": 2411.6,
        "p95": 3007.1,
        "p99": 8488.1
      },
      "scenarioCounts": {
        "Fuzz getSpec": 154,
        "Fuzz calculatePrice fixed": 170,
        "Fuzz calculatePrice minute": 176
      },
      "errors": {},
      "codes": {
        "200": 508
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 135,
      "pendingRequests": 33,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:32:58.723Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 499,
      "requestsCompleted": 495,
      "latency": {
        "min": 293.3,
        "max": 30274.8,
        "median": 353.2,
        "p95": 1049.1,
        "p99": 1486
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2313.3,
        "max": 41790.6,
        "median": 2373.8,
        "p95": 3059.1,
        "p99": 3495
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 176,
        "Fuzz calculatePrice fixed": 159,
        "Fuzz getSpec": 165
      },
      "errors": {},
      "codes": {
        "200": 495
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 136,
      "pendingRequests": 38,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:33:08.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 492,
      "requestsCompleted": 494,
      "latency": {
        "min": 302.5,
        "max": 28153.9,
        "median": 360.7,
        "p95": 1075.7,
        "p99": 8238.9
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2308.6,
        "max": 36079,
        "median": 2380.3,
        "p95": 3116.3,
        "p99": 8640.9
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 176,
        "Fuzz getSpec": 155,
        "Fuzz calculatePrice fixed": 169
      },
      "errors": {},
      "codes": {
        "200": 494
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 144,
      "pendingRequests": 44,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:33:18.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 493,
      "requestsCompleted": 500,
      "latency": {
        "min": 294.9,
        "max": 26740.5,
        "median": 357.3,
        "p95": 1055.9,
        "p99": 1645.3
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2308.8,
        "max": 33902,
        "median": 2376.9,
        "p95": 3045.5,
        "p99": 10999.8
      },
      "scenarioCounts": {
        "Fuzz getSpec": 169,
        "Fuzz calculatePrice fixed": 163,
        "Fuzz calculatePrice minute": 168
      },
      "errors": {},
      "codes": {
        "200": 500
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 151,
      "pendingRequests": 44,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:33:28.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 511,
      "requestsCompleted": 506,
      "latency": {
        "min": 304.4,
        "max": 36498,
        "median": 351.2,
        "p95": 1196,
        "p99": 17167.8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2312.6,
        "max": 39968.7,
        "median": 2373.4,
        "p95": 3161.4,
        "p99": 20024
      },
      "scenarioCounts": {
        "Fuzz getSpec": 155,
        "Fuzz calculatePrice minute": 185,
        "Fuzz calculatePrice fixed": 160
      },
      "errors": {},
      "codes": {
        "200": 506
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 140,
      "pendingRequests": 38,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:33:38.722Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 495,
      "latency": {
        "min": 297.4,
        "max": 31524.4,
        "median": 346.2,
        "p95": 1222.5,
        "p99": 12709.5
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2311.6,
        "max": 34453.6,
        "median": 2366.7,
        "p95": 3245.5,
        "p99": 25283.1
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 165,
        "Fuzz getSpec": 147,
        "Fuzz calculatePrice fixed": 188
      },
      "errors": {},
      "codes": {
        "200": 495
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 140,
      "pendingRequests": 43,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:33:48.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 492,
      "requestsCompleted": 506,
      "latency": {
        "min": 303.9,
        "max": 33415.3,
        "median": 355.2,
        "p95": 1216.2,
        "p99": 13929.1
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2317.7,
        "max": 36927,
        "median": 2376.1,
        "p95": 3237,
        "p99": 8454.8
      },
      "scenarioCounts": {
        "Fuzz getSpec": 167,
        "Fuzz calculatePrice minute": 176,
        "Fuzz calculatePrice fixed": 157
      },
      "errors": {},
      "codes": {
        "200": 506
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 148,
      "pendingRequests": 37,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:33:58.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 504,
      "requestsCompleted": 490,
      "latency": {
        "min": 296.2,
        "max": 25948.7,
        "median": 349.4,
        "p95": 1067.4,
        "p99": 1282.8
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2314.6,
        "max": 19582,
        "median": 2371.6,
        "p95": 3101.7,
        "p99": 5063.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 180,
        "Fuzz getSpec": 174,
        "Fuzz calculatePrice fixed": 146
      },
      "errors": {},
      "codes": {
        "200": 490
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 144,
      "pendingRequests": 47,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:34:08.719Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 496,
      "requestsCompleted": 499,
      "latency": {
        "min": 304.4,
        "max": 23830.1,
        "median": 354.6,
        "p95": 1196.1,
        "p99": 17450.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2311.6,
        "max": 29323.2,
        "median": 2373.2,
        "p95": 3194.6,
        "p99": 20443.5
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 168,
        "Fuzz calculatePrice fixed": 161,
        "Fuzz getSpec": 171
      },
      "errors": {},
      "codes": {
        "200": 499
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 148,
      "pendingRequests": 48,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:34:18.719Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 468,
      "requestsCompleted": 373,
      "latency": {
        "min": 304.1,
        "max": 38293.3,
        "median": 353,
        "p95": 2496.5,
        "p99": 21396.1
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2315.7,
        "max": 41949.5,
        "median": 2373.8,
        "p95": 3312.7,
        "p99": 23430.5
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 178,
        "Fuzz getSpec": 155,
        "Fuzz calculatePrice fixed": 167
      },
      "errors": {
        "EADDRNOTAVAIL": 160
      },
      "codes": {
        "200": 373
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 20,
      "pendingRequests": 175,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:34:28.718Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 20,
      "requestsCompleted": 20,
      "latency": {
        "min": 315.7,
        "max": 33336.4,
        "median": 632.6,
        "p95": 32042.1,
        "p99": 33336.4
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2330.3,
        "max": 36790.6,
        "median": 2651.9,
        "p95": 35440.6,
        "p99": 36790.6
      },
      "scenarioCounts": {
        "Fuzz getSpec": 167,
        "Fuzz calculatePrice minute": 161,
        "Fuzz calculatePrice fixed": 172
      },
      "errors": {
        "EADDRNOTAVAIL": 485
      },
      "codes": {
        "200": 20
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 15,
      "pendingRequests": 655,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:34:38.718Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 19,
      "requestsCompleted": 27,
      "latency": {
        "min": 328.1,
        "max": 28991.3,
        "median": 855.2,
        "p95": 24484.5,
        "p99": 28991.3
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2571.6,
        "max": 33016.6,
        "median": 2741.7,
        "p95": 32401.5,
        "p99": 33016.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 170,
        "Fuzz calculatePrice minute": 179,
        "Fuzz getSpec": 151
      },
      "errors": {
        "EADDRNOTAVAIL": 478
      },
      "codes": {
        "200": 27
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 18,
      "pendingRequests": 1128,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:34:48.718Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 40,
      "requestsCompleted": 38,
      "latency": {
        "min": 315.5,
        "max": 37055,
        "median": 858,
        "p95": 26599.2,
        "p99": 37055
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2330.6,
        "max": 39175.5,
        "median": 2891.6,
        "p95": 28396,
        "p99": 39175.5
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 171,
        "Fuzz calculatePrice minute": 153,
        "Fuzz getSpec": 176
      },
      "errors": {
        "EADDRNOTAVAIL": 465
      },
      "codes": {
        "200": 38
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 13,
      "pendingRequests": 1590,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:34:58.718Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 51,
      "requestsCompleted": 46,
      "latency": {
        "min": 336.9,
        "max": 1873.7,
        "median": 811.6,
        "p95": 1072.9,
        "p99": 1873.7
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2337.6,
        "max": 35098.7,
        "median": 2838.7,
        "p95": 3110.2,
        "p99": 34983.4
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 172,
        "Fuzz calculatePrice minute": 161,
        "Fuzz getSpec": 167
      },
      "errors": {
        "EADDRNOTAVAIL": 453
      },
      "codes": {
        "200": 46
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 9,
      "pendingRequests": 2044,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:35:08.718Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 32,
      "requestsCompleted": 35,
      "latency": {
        "min": 315.3,
        "max": 2088.7,
        "median": 832,
        "p95": 1148.2,
        "p99": 2088.7
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2333.4,
        "max": 4995.6,
        "median": 2854.6,
        "p95": 3876.7,
        "p99": 4995.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 169,
        "Fuzz calculatePrice fixed": 163,
        "Fuzz getSpec": 168
      },
      "errors": {
        "EADDRNOTAVAIL": 465
      },
      "codes": {
        "200": 35
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 12,
      "pendingRequests": 2509,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:35:18.718Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 79,
      "requestsCompleted": 84,
      "latency": {
        "min": 310.9,
        "max": 1028.8,
        "median": 641.8,
        "p95": 884.9,
        "p99": 1009.8
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2330.7,
        "max": 3288.4,
        "median": 2670,
        "p95": 2985,
        "p99": 3217
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 171,
        "Fuzz getSpec": 169,
        "Fuzz calculatePrice fixed": 160
      },
      "errors": {
        "EADDRNOTAVAIL": 404
      },
      "codes": {
        "200": 84
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 29,
      "pendingRequests": 2925,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:35:28.718Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 104,
      "requestsCompleted": 113,
      "latency": {
        "min": 311,
        "max": 8300.3,
        "median": 669.7,
        "p95": 943.7,
        "p99": 3860.5
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2322,
        "max": 10655.6,
        "median": 2695.7,
        "p95": 2892.9,
        "p99": 6669.9
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 154,
        "Fuzz calculatePrice fixed": 195,
        "Fuzz getSpec": 151
      },
      "errors": {
        "EADDRNOTAVAIL": 399
      },
      "codes": {
        "200": 113
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 26,
      "pendingRequests": 3312,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:35:38.718Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 122,
      "requestsCompleted": 140,
      "latency": {
        "min": 148.8,
        "max": 1895.9,
        "median": 653.4,
        "p95": 1430.8,
        "p99": 1605.8
      },
      "rps": {
        "count": 508,
        "mean": 50.85
      },
      "scenarioDuration": {
        "min": 2317.7,
        "max": 3272.6,
        "median": 2713.6,
        "p95": 3212.6,
        "p99": 3262.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 164,
        "Fuzz calculatePrice minute": 172,
        "Fuzz getSpec": 164
      },
      "errors": {
        "EADDRNOTAVAIL": 360
      },
      "codes": {
        "200": 132,
        "302": 8
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 44,
      "pendingRequests": 3680,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:35:48.719Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 173,
      "requestsCompleted": 171,
      "latency": {
        "min": 142.9,
        "max": 2389.8,
        "median": 590.1,
        "p95": 1367.1,
        "p99": 1982.5
      },
      "rps": {
        "count": 504,
        "mean": 50.4
      },
      "scenarioDuration": {
        "min": 2331.7,
        "max": 4612.6,
        "median": 2610.6,
        "p95": 3533,
        "p99": 4221.2
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 192,
        "Fuzz calculatePrice minute": 149,
        "Fuzz getSpec": 159
      },
      "errors": {
        "EADDRNOTAVAIL": 319
      },
      "codes": {
        "200": 167,
        "302": 4
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 52,
      "pendingRequests": 4013,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:35:58.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 347,
      "requestsCompleted": 430,
      "latency": {
        "min": 285.4,
        "max": 32618.7,
        "median": 1012.1,
        "p95": 1221.2,
        "p99": 13698.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2303.7,
        "max": 36496.7,
        "median": 2955.6,
        "p95": 3243.1,
        "p99": 4187.8
      },
      "scenarioCounts": {
        "Fuzz getSpec": 158,
        "Fuzz calculatePrice minute": 157,
        "Fuzz calculatePrice fixed": 185
      },
      "errors": {
        "EADDRNOTAVAIL": 49
      },
      "codes": {
        "200": 430
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 156,
      "pendingRequests": 4083,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:36:08.722Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 514,
      "requestsCompleted": 498,
      "latency": {
        "min": 286.6,
        "max": 28263.4,
        "median": 336.1,
        "p95": 1913.7,
        "p99": 2159.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2304.6,
        "max": 35689.5,
        "median": 2541.7,
        "p95": 3937.8,
        "p99": 9406.8
      },
      "scenarioCounts": {
        "Fuzz getSpec": 171,
        "Fuzz calculatePrice fixed": 165,
        "Fuzz calculatePrice minute": 164
      },
      "errors": {},
      "codes": {
        "200": 498
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 142,
      "pendingRequests": 4085,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:36:18.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 496,
      "requestsCompleted": 504,
      "latency": {
        "min": 272,
        "max": 36657,
        "median": 331.2,
        "p95": 2097.6,
        "p99": 2242.8
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 2285.7,
        "max": 40616.6,
        "median": 2349.6,
        "p95": 4131.1,
        "p99": 4271.9
      },
      "scenarioCounts": {
        "Fuzz getSpec": 179,
        "Fuzz calculatePrice minute": 172,
        "Fuzz calculatePrice fixed": 149
      },
      "errors": {},
      "codes": {
        "200": 504
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 146,
      "pendingRequests": 4081,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:36:28.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 508,
      "requestsCompleted": 503,
      "latency": {
        "min": 280.2,
        "max": 2457.5,
        "median": 363.2,
        "p95": 1614.2,
        "p99": 1834.8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2297.6,
        "max": 4086.6,
        "median": 2369.2,
        "p95": 3777.3,
        "p99": 3855.1
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 155,
        "Fuzz getSpec": 185,
        "Fuzz calculatePrice fixed": 160
      },
      "errors": {},
      "codes": {
        "200": 503
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 138,
      "pendingRequests": 4078,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:36:38.722Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 486,
      "requestsCompleted": 498,
      "latency": {
        "min": 279.7,
        "max": 23995,
        "median": 342.2,
        "p95": 1702.4,
        "p99": 1918.2
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2295.6,
        "max": 4977.7,
        "median": 2369.1,
        "p95": 3735.4,
        "p99": 3945.6
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 177,
        "Fuzz calculatePrice minute": 175,
        "Fuzz getSpec": 148
      },
      "errors": {},
      "codes": {
        "200": 497,
        "500": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 152,
      "pendingRequests": 4080,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:36:48.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 506,
      "requestsCompleted": 501,
      "latency": {
        "min": 281.6,
        "max": 2351.2,
        "median": 879,
        "p95": 1656.5,
        "p99": 1783.6
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2298.6,
        "max": 4678.6,
        "median": 2900.5,
        "p95": 3657.8,
        "p99": 3776.8
      },
      "scenarioCounts": {
        "Fuzz getSpec": 153,
        "Fuzz calculatePrice minute": 165,
        "Fuzz calculatePrice fixed": 182
      },
      "errors": {},
      "codes": {
        "200": 501
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 146,
      "pendingRequests": 4079,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:36:58.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 495,
      "requestsCompleted": 508,
      "latency": {
        "min": 280.4,
        "max": 9148.9,
        "median": 423.9,
        "p95": 1682,
        "p99": 1783.9
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2292.6,
        "max": 36512.7,
        "median": 2423.7,
        "p95": 3716.4,
        "p99": 3809.4
      },
      "scenarioCounts": {
        "Fuzz calculatePrice minute": 169,
        "Fuzz getSpec": 169,
        "Fuzz calculatePrice fixed": 162
      },
      "errors": {},
      "codes": {
        "200": 508
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 151,
      "pendingRequests": 4071,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:37:08.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 512,
      "requestsCompleted": 488,
      "latency": {
        "min": 286.8,
        "max": 1784,
        "median": 353,
        "p95": 1564.3,
        "p99": 1665.5
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2305.6,
        "max": 12133.6,
        "median": 2377.8,
        "p95": 3598.6,
        "p99": 3721.4
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 161,
        "Fuzz getSpec": 184,
        "Fuzz calculatePrice minute": 155
      },
      "errors": {},
      "codes": {
        "200": 488
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 139,
      "pendingRequests": 4083,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:37:18.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 495,
      "requestsCompleted": 520,
      "latency": {
        "min": 287.2,
        "max": 6900.7,
        "median": 744.9,
        "p95": 1491.7,
        "p99": 1587.1
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2301.5,
        "max": 4188.6,
        "median": 2427.6,
        "p95": 3538.5,
        "p99": 3616.9
      },
      "scenarioCounts": {
        "Fuzz getSpec": 167,
        "Fuzz calculatePrice minute": 154,
        "Fuzz calculatePrice fixed": 179
      },
      "errors": {},
      "codes": {
        "200": 520
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 144,
      "pendingRequests": 4063,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:37:28.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 503,
      "requestsCompleted": 486,
      "latency": {
        "min": 284.7,
        "max": 2997.9,
        "median": 1126.3,
        "p95": 1392.4,
        "p99": 1563.8
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 2301.5,
        "max": 9606.7,
        "median": 3132.7,
        "p95": 3372.6,
        "p99": 3626.5
      },
      "scenarioCounts": {
        "Fuzz calculatePrice fixed": 171,
        "Fuzz calculatePrice minute": 159,
        "Fuzz getSpec": 170
      },
      "errors": {},
      "codes": {
        "200": 486
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 141,
      "pendingRequests": 4077,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T17:37:32.747Z",
      "scenariosCreated": 27,
      "scenariosCompleted": 168,
      "requestsCompleted": 67,
      "latency": {
        "min": 303.6,
        "max": 1650.7,
        "median": 1262.4,
        "p95": 1501.7,
        "p99": 1635.5
      },
      "rps": {
        "count": 27,
        "mean": 6.72
      },
      "scenarioDuration": {
        "min": 2309.8,
        "max": 3681.2,
        "median": 3250.3,
        "p95": 3502.9,
        "p99": 3580.4
      },
      "scenarioCounts": {
        "Fuzz getSpec": 11,
        "Fuzz calculatePrice fixed": 12,
        "Fuzz calculatePrice minute": 4
      },
      "errors": {},
      "codes": {
        "200": 67
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 4037,
      "scenariosAvoided": 0
    }
  ]
};
  </script>

  <style>
      h1 {
        line-height: 200%;
      }

      body {
          background-color: #fcfcfc;
      }

      .container {
          width: 100%;
          min-width: 960px;
      }
  </style>


</head>
<body>

<div class="container">

<div class="row" id="header">
  <div class="col-lg-4 col-lg-offset-4">
    <pre style="font-size: 5pt; background-color: #fcfcfc; border: none;">
            _   _ _ _                                                _
  __ _ _ __| |_(_) | | ___ _ __ _   _      _ __ ___ _ __   ___  _ __| |_
 / _` | '__| __| | | |/ _ \ '__| | | |    | '__/ _ \ '_ \ / _ \| '__| __|
| (_| | |  | |_| | | |  __/ |  | |_| |    | | |  __/ |_) | (_) | |  | |_
 \__,_|_|   \__|_|_|_|\___|_|   \__, |    |_|  \___| .__/ \___/|_|   \__|
                                |___/              |_|

    </pre>
  </div>
</div>

<div class="row">
  <div class="col-lg-12">
    <h1 class="text-center" id="page-title">Test run on <span id="timestamp">date</span></h1>
  </div>
</div>

<div class="row">
  <div class="col-lg-3">
    <p><strong>Summary</strong></p>
    <table class="table table-bordered table-hover table-condensed">
      <tbody>
        <tr>
          <td>Test duration</td>
          <td><span id="testDuration">0</span> sec</td>
        </tr>
        <tr>
          <td>Scenarios created</td>
          <td><span id="scenariosCreated">0</span></td>
        </tr>

        <tr>
          <td>Scenarios completed</td>
          <td><span id="scenariosCompleted">0</span></td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="col-lg-5" id="scenarioCountsContainer">
    <div>
      <strong>Scenario counts:</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="scenarioCounts">
      </table>
    </div>
  </div>

  <div class="col-lg-1">
    <div id="codesContainer">
      <strong>Codes</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="codes">
      </table>
    </div>
  </div>

  <div class="col-lg-3">
    <div id="errorsContainer">
      <strong>Errors</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="errors">
      </table>
    </div>
  </div>
</div> <!-- /.row -->

<div class="row">
  <div class="text-center col-lg-12">
    <h2>Charts</h2>
  </div>
</div>

<div class="row">
  <div class="latency-histogram text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="latency text-center col-lg-12"></div>
</div>

<div class="latency-legend"></div>

<div class="row">

</div>

<div class="row">
  <div class="concurrency text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="rps-mean text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="rps-count text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="codes-line text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="errors-line text-center col-lg-12"></div>
</div>


  


</div>

<div class="row">
  <div class="col-lg-8 col-lg-offset-2">
    <h3 class="text-center">Raw report data</h3>
    <p>This is the raw JSON stats output that the report was generated from.</p>
    <div id="editor">
    </div>
  </div>
</div>

<script>
var editor = ace.edit("editor");
editor.getSession().setMode("ace/mode/javascript");
editor.setValue(JSON.stringify(Report, null, 2));
editor.gotoLine(1);editor.setHighlightActiveLine(false);

var l = _;

$('#timestamp').html(moment(Report.aggregate.timestamp).format('DD MMM YYYY HH:mm:SS'));
$('#testDuration').html(l.size(Report.intermediate) * 10);
$('#scenariosCompleted').html(Report.aggregate.scenariosCompleted);
$('#scenariosCreated').html(Report.aggregate.scenariosCreated);

var markers = [];
if(l.size(Report.phases) > 0) {
  markers = l.foldl(Report.phases, function(acc, phase, index) {
    var label = phase.name || 'Phase ' + (index + 1);
    var timestamp = (index === 0) ? 0 : Report.phases[index - 1].duration + acc[index - 1].timestamp;

    acc.push({
      timestamp: timestamp,
      label: label
    });

    return acc;
  }, []);
}

if (l.size(Report.aggregate.scenarioCounts) > 0) {
  l.each(Report.aggregate.scenarioCounts, function(count, name) {
    var $tdName = $('<td>' + name + '</td>');
    var percentage = Math.round(count / Report.aggregate.scenariosCreated * 100 * 1000) / 1000;
    var $tdCount = $('<td>' + count + ' (' + percentage + '%)' + '</td>');
    var $el = $('<tr></tr>')
      .append($tdName)
      .append($tdCount)
      .appendTo($('#scenarioCounts'));
  });
} else {
  $('#scenarioCountsContainer').hide();
}

if (l.size(Report.aggregate.codes) > 0) {
  l.each(Report.aggregate.codes, function(count, code) {
    var anchor = '';
    if (code >= 100 && code < 200) {
      anchor = '#1xx_Informational';
    } else if (code >= 200 && code < 300) {
      anchor = '#2xx_Success';
    } else if (code >= 300 && code < 400) {
      anchor = '#3xx_Redirection';
    } else if (code >= 400 && code < 500) {
      anchor = '#4xx_Client_Error';
    } else if (code >= 500 && code < 600) {
      anchor = '#5xx_Server_Error';
    }

    var $a = $('<a>' + code + '</a>').attr('href', 'https://en.wikipedia.org/wiki/List_of_HTTP_status_codes' + anchor);
    var $td = $('<td></td>').append($a);
    var $el = $('<tr></tr>')
      .append($td)
      .append($('<td>' + count + '</td>'))
      .appendTo($('#codes'));
  });
} else {
  $('#codesContainer').hide();
}

if (l.size(Report.aggregate.errors) > 0) {
  l.each(Report.aggregate.errors, function(count, code) {
    var $el = $('<tr></tr>')
      .append($('<td>' + code + '</td>'))
      .append($('<td>' + count + '</td>'))
      .appendTo($('#errors'));
  });
} else {
  $('#errorsContainer > p').html('&#10004; Test completed without network or OS errors.');
}

var histogramData = l.map(Report.aggregate.latency, function(v, k) { return {bin: k, value: v} });

MG.data_graphic({
  chart_type: 'bar',
  x_label: 'Percentile',
  y_label: '(ms)',
  animate_on_load: true,
  title: 'Overall Latency Distribution',
  description: 'Distribution of all observed response latencies',
  target: '.latency-histogram',
  data: histogramData,
  x_accessor: 'bin',
  y_accessor: 'value',
  binned: true,
  height: 250,
  interpolate: 'monotone',
  padding_percentage: 0,
  bar_orientation: 'vertical',
  width: 450
});

var chartData = l.map(
  window.Report.intermediate,
  function(o,i) {
    return {
      timestamp: i*10+10,

      rpsMean: o.rps.mean,
      rpsCount: o.rps.count,
      concurrency: o.concurrency,
      latencyMax: o.latency.max,
      latencyp99: o.latency.p99,
      latencyp95: o.latency.p95,
      latencyMedian: o.latency.median,
      latencyMin: o.latency.min
    }
  });

//
// Response codes
//

if (l.size(Report.aggregate.codes) > 0) {
  var codesData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.codes, function(count, code) {
      res[code] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueCodes = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.codes, function(count, code) {
      if (l.indexOf(acc, code) === -1) {
        acc.push(code);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    x_label: 'Time',
    y_label: 'Count',
    title: 'HTTP codes',
    description: 'Occurence of HTTP response codes',
    target: '.codes-line',
    data: codesData,
    x_accessor: 'timestamp',
    y_accessor: uniqueCodes,
    legend: uniqueCodes,
    right: 50,
    chart_type: 'line',
    area: false,
    markers: markers,
    width: 900
  });
}

//
// Errors
//

if (l.size(Report.aggregate.errors) > 0) {
  var errorData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.errors, function(count, name) {
      res[name] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueErrors = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.errors, function(count, name) {
      if (l.indexOf(acc, name) === -1) {
        acc.push(name);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    title: 'Error Codes',
    description: 'Occurence of error codes',
    target: '.errors-line',
    data: errorData,
    x_accessor: 'timestamp',
    y_accessor: uniqueErrors,
    chart_type: 'line',
    area: false,
    markers: markers
  });

}

//
// Latency
//
MG.data_graphic({
  chart_type: 'line',
  x_label: 'Time',
  y_label: '(ms)',
  animate_on_load: true,
  area: false,
  title: "Latency At Intervals",
  description: "Latency values at different points during the test run",
  data: chartData,
  target: '.latency',
  width: 900,
  x_accessor: 'timestamp',
  y_accessor: ['latencyMin', 'latencyMedian', 'latencyp95', 'latencyMax'],
  legend: ['min', 'p50', 'p95', 'max'],
  //legend_target: '.latency-legend',
  right: 50,
  interpolate: 'monotone',
  mouseover: function(d, i) {
  },
  markers: markers
        });

            MG.data_graphic({
            animate_on_load: true,
            area: false,
            y_label: 'Count',
            x_label: 'Time',
            title: 'Concurrent users',
            description: 'Concurrent users',
            data: chartData,
            target: '.concurrency',
            x_accessor: 'timestamp',
            y_accessor: ['concurrency'],
            interpolate: 'monotone',
            markers: markers,
            width: 900
            });

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'Mean RPS',
  description: 'Mean requests per second',
  data: chartData,
  target: '.rps-mean',
  x_accessor: 'timestamp',
  y_accessor: ['rpsMean'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'RPS Count',
  description: 'Count of requests per second',
  data: chartData,
  target: '.rps-count',
  x_accessor: 'timestamp',
  y_accessor: ['rpsCount'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});
</script>
<div id="footer">
  <footer>This report was created with <a href="https://artillery.io">Artillery</a> - free open-source load-testing for HTTP and WebSockets</footer>
</div>
</body>
</html>
